hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDFS-5518) HDFS doesn't compile/run against Guava 1.5
Date Mon, 18 Nov 2013 10:13:27 GMT

    [ https://issues.apache.org/jira/browse/HDFS-5518?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13825245#comment-13825245
] 

Steve Loughran commented on HDFS-5518:
--------------------------------------

Alejandro
# I'm looking at 2.3 having an update of the dependencies, and leaving 2.2.x entirely alone,
though a JetS3t patch went into 2.2.1 (HADOOP-9623) that may or may not stay in there.
# It will allow projects using the latest versions of guava to work with Hadoop 2.3+ without
having to shade their version as BOOKEEPER-708 was forcing BK to do, something which was actually
stopping HDFS from upgrading to Bookeeper 4.2.1 ( HDFS-5411)
# It will force projects also using out of date guava versions to update or play games with
maven shading


> HDFS doesn't compile/run against Guava 1.5
> ------------------------------------------
>
>                 Key: HDFS-5518
>                 URL: https://issues.apache.org/jira/browse/HDFS-5518
>             Project: Hadoop HDFS
>          Issue Type: Bug
>          Components: journal-node, test
>    Affects Versions: 2.2.0
>            Reporter: Steve Loughran
>         Attachments: HADOOP-10101-002.patch
>
>
> HADOOP-10101 updates hadoop project to using the latest version of google guava, so reduce
conflict with other projects (including bookkeeper).
> Two classes in HDFS don't compile, as google removed some classes
> # NullableOutputStream gone: switch to using Hadoop's own {{NullableOutputStream}}
> # {{Ranges}} class gone: switch to {{Range}} class 



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message